complexType "NotionalStepRule"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 7 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | calculationPeriodDatesReference?, stepFrequency?, firstNotionalStepDate?, lastNotionalStepDate?, (notionalStepAmount? | (notionalStepRate?, stepRelativeTo?))
</...>

Content Model Elements (7):

  calculationPeriodDatesReference (in notionalStepParameters),
  firstNotionalStepDate,
  lastNotionalStepDate,
  notionalStepAmount,
  notionalStepRate,
  stepFrequency,
  stepRelativeTo

All Direct / Indirect Based Elements (1):

  notionalStepParameters

Known Usage Locations

- As direct type of elements (1):
  notionalStepParameters

Annotation
A type defining a parametric representation of the notional step schedule, i.e. parameters used to generate the notional balance on each step date. The step change in notional can be expressed in terms of either a fixed amount or as a percentage of either the initial notional or previous notional amount. This parametric representation is intended to cover the more common amortizing/accreting.
XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="NotionalStepRule"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationPeriodDatesReference" type="CalculationPeriodDatesReference"/> <xsd:element minOccurs="0" name="stepFrequency" type="Period"/> <xsd:element minOccurs="0" name="firstNotionalStepDate" type="xsd:date"/> <xsd:element minOccurs="0" name="lastNotionalStepDate" type="xsd:date"/> <xsd:choice> <xsd:element minOccurs="0" name="notionalStepAmount" type="xsd:decimal"/> <xsd:sequence> <xsd:element minOccurs="0" name="notionalStepRate" type="xsd:decimal"/> <xsd:element minOccurs="0" name="stepRelativeTo" type="StepRelativeToEnum"/> </xsd:sequence> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/7)
calculationPeriodDatesReference

  Type: | CalculationPeriodDatesReference, empty content

  A pointer style reference to the associated calculation period dates component defined elsewhere in the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodDatesReference" type="CalculationPeriodDatesReference"/>

firstNotionalStepDate

  Type: | xsd:date, predefined, simple content

  Effective date of the first change in notional (i.e. a calculation period start date).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="firstNotionalStepDate" type="xsd:date"/>

lastNotionalStepDate

  Type: | xsd:date, predefined, simple content

  Effective date of the last change in notional (i.e. a calculation period start date).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="lastNotionalStepDate" type="xsd:date"/>

notionalStepAmount

  Type: | xsd:decimal, predefined, simple content

  The explicit amount that the notional changes on each step date. This can be a positive or negative amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalStepAmount" type="xsd:decimal"/>

notionalStepRate

  Type: | xsd:decimal, predefined, simple content

  The percentage amount by which the notional changes on each step date. The percentage is either a percentage applied to the initial notional amount or the previous outstanding notional, depending on the value of the element stepRelativeTo. The percentage can be either positive or negative. A percentage of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalStepRate" type="xsd:decimal"/>

stepFrequency

  Type: | Period, complex content

  The frequency at which the step changes occur. This frequency must be a multiple of the stream calculation period frequency.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="stepFrequency" type="Period"/>

stepRelativeTo

  Type: | StepRelativeToEnum, simple content

  Specifies whether the notionalStepRate should be applied to the initial notional or the previous notional in order to calculate the notional step change amount.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Initial" | - | Change in notional to be applied is calculated by multiplying the percentage rate by the initial notional amount. See: http://www.FpML.org
  "Previous" | - | Change in notional to be applied is calculated by multiplying the percentage rate by the previously outstanding notional amount. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="stepRelativeTo" type="StepRelativeToEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.